using PlumbingRepairContracts.Attributes;
using PlumbingRepairDataModels.Models;
using System.ComponentModel;

namespace PlumbingRepairContracts.ViewModels
{
    public class WorkViewModel : IWorkModel
    {
		[Column(visible: false)]
		public int Id { get; set; }
		[Column("Название изделия", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string WorkName { get; set; } = string.Empty;
		[Column("Цена", width: 100)]
		public double Price { get; set; }
		[Column(visible: false)]
		public Dictionary<int, (IComponentModel, int)> WorkComponents { get; set; } = new();
    }
}
